import { useDataCheckStore } from "@/store";
import { saveCheck } from "./api";

export default function useUpload() {
  const dataCheckStore = useDataCheckStore();

  const save = async () => {
    if (!dataCheckStore.curStudent) return;

    const smda =
      dataCheckStore.curStudent?.papers[0]?.pages[0]?.question?.result
        .map((item) => item || ".")
        .join("|");

    const data = [
      ["imageName", "zkzh", "smda"],
      [
        dataCheckStore.curStudent.imageName,
        dataCheckStore.curStudent?.examNumber,
        smda,
      ],
    ];
    const filename = `${dataCheckStore.curStudent.imageName}.csv`;
    await saveCheck(data, filename).catch((err) => {
      console.log(err);
    });
  };

  return { save };
}
